home/urls.py
from django.urls import path
from .views import index

app_name='home'

urlpatterns= [
    path('', index, name='home')
]

login/urls.py
from django.urls import path
from . import views

app_name = 'login'

urlpatterns = [
	path('register', views.regisPageDesktop, name="register"),
	path('login', views.loginPageDesktop, name="login"),  
	path('logout', views.logoutUser, name="logout"),
	path('auth-login', views.loginPage),
	path('auth-register', views.regisPage)
]

project_name/urls.py
from django.contrib import admin
import diskusi.urls as diskusi_urls
from django.urls import include, path, re_path
from home.views import index as home

urlpatterns = [
    path('admin/', admin.site.urls),
    path('rumah-sakit-rujukan/', include('rujukan.urls')),
    path('kewaspadaan/', include('kewaspadaan.urls')),
    path('home', include('home.urls')),
    path('diskusi/', include(diskusi_urls)),
    path('data-covid/', include('datacovid.urls')),
    path('vaksinasi/', include('vaksinasi.urls')),
    path('', include('login.urls', 'login')),
    re_path(r'^$', home, name='home'),
]

login/models.py
from django.db import models
# # from django.db.models.signals import post_save
# # from django.dispatch import receiver


# Create your models here.

# User_CHOICES = [
#     ('tenaga kesehatan', 'Tenaga Kesehatan'),
#     ('masyarakat umum', 'Masyarakat Umum'),
# ]

# class Pendaftar(models.Model):
#     first_name = models.CharField(max_length=72)
#     last_name = models.CharField(max_length=72)
#     username = models.CharField(max_length=32)
#     email = models.EmailField(max_length=200, default="")
#     password1 = models.CharField(max_length=100)
#     password2 = models.CharField(max_length=100)
#     user_role = models.CharField(max_length=32, default="")

# # @receiver(post_save)
# # def create_user_profile(instance, created, **kwargs):
# #     if created:
# #         Pendaftar.objects.create(username=instance)


# # @receiver(post_save)
# # def save_user_profile(instance, **kwargs):
# #     instance.pendafrar.save()

login/forms.py
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from django import forms

class createUserForm(UserCreationForm):
	class Meta:
		model = User
		fields = ['first_name', 'last_name', 'username', 'email', 'password1', 'password2']

login/views.py
import json

from django.shortcuts import render, redirect 
from django.views.decorators.csrf import csrf_exempt

from django.contrib.auth.models import User
from django.contrib.auth import authenticate, login as auth, logout
from django.http import JsonResponse

from django.contrib import messages

# Create your views here.
from .models import *
from .forms import createUserForm

@csrf_exempt
def regisPage(request):
  form = createUserForm(json.loads(request.body))
  if form.is_valid():
    user = form.save()
    auth(request, user)
    return JsonResponse({
      "status": True,
      "message": "Register successful",
    }, status=200)
  else:
    return JsonResponse(form.errors, status=400)

@csrf_exempt
def regisPageDesktop(request):
	if request.user.is_authenticated:
		return redirect('home')
	else:
		form = createUserForm()
		if request.method == 'POST':
			form = createUserForm(request.POST)
			if form.is_valid():
				form.save()
				user = form.cleaned_data.get('username')
				messages.success(request, '     Account was created for ' + user)

				return redirect('login:login')
			

		context = {'form':form}
		return render(request, 'register_acc.html', context)


@csrf_exempt
def loginPage(request):
    username = request.POST['username']
    password = request.POST['password']
    user = authenticate(username=username, password=password)
    if user is not None:
        if user.is_active:
            auth(request, user)
            return JsonResponse({
              "status": True,
              "username": user.username,
              "message": "Successfully logged in!"
            })
        else:
            return JsonResponse({
              "status": False,
              "message": "Failed to login, account disabled."
            }, status=401)
            
    else:
        return JsonResponse({
          "status": False,
          "message": "Failed to login, check your email or password."
        }, status=401)

@csrf_exempt
def loginPageDesktop(request):
	if request.user.is_authenticated:
		return redirect('home')
	else:
		if request.method == 'POST':
			username = request.POST.get('username')
			password =request.POST.get('password')

			user = authenticate(request, username=username, password=password)

			if user is not None:
				auth(request, user)
				return redirect('home')
			else:
				messages.info(request, 'Username or password is incorrect')

		context = {}
		return render(request, 'login_acc.html', context)

@csrf_exempt
def logoutUser(request):
	logout(request)
	return redirect('login:login')

login/templates/login_acc.html
{% extends 'base.html' %}
{% load static %}
<head>
{% block css %}
<!-- bootstraps css -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
<!-- bootstrap js -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<link rel="stylesheet" href="{% static 'login_style.css' %}"/>
{% endblock css %}
</head>

{% block title %}
Log In
{% endblock title %}

{% block content %}
<!DOCTYPE html>
<html>
<body>
	<br><br><br><br><br><br>
	<div class="container h-100">
		<div class="d-flex justify-content-center h-100">
			<div class="user_card">
				<div class="d-flex justify-content-center">
					<h3 id="form-title">Welcome Back!</h3>
					<br><br>
				</div>
				<div class="d-flex justify-content-center form_container">
					<form method="POST" action="">
						{% csrf_token %}
						<div class="input-group mb-3">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>

							<input type="text" name="username" placeholder="Username" class="form-control">
						</div>

						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>

								<input type="password" name="password" placeholder="Password" class="form-control" >
						</div>

							<div class="d-flex justify-content-center mt-3 login_container">
								<button type="submit" class="masuk">Login</button>
				   			</div>
					</form>
				</div>

				{% for message in messages %}
					<br>
					<p id="messages" style="color: #752222;">{{message}}</p>
				{% endfor %}			
		
				<div class="mt-4">
					<div class="d-flex justify-content-center links">
						Don't have an account? <a href="{% url 'login:register' %}" class="ml-2">Sign Up</a>
					</div>
			
				</div>
			</div>
		</div>
	</div>
</body>
</html>
{% endblock %}

login/templates/register_acc.html
{% extends 'base.html' %} {% load static %}
<head>
  {% block css %}
  <!-- bootstraps css -->
  <link
    href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
    rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
    crossorigin="anonymous"
  />
  <!-- bootstrap js -->
  <script
    src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
    crossorigin="anonymous"
  ></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <link
    rel="stylesheet"
    href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
    integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
    crossorigin="anonymous"
  />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/8.11.8/sweetalert2.all.min.js"></script>
  <link rel="stylesheet" href="{% static 'regis_style.css' %}" />
  {% endblock css %}
</head>

{% block title %} Registration {% endblock title %} {% block content %}
<!DOCTYPE html>
<html>
  <body>
    <br /><br /><br /><br /><br /><br />
    <div class="container h-100">
      <div class="d-flex justify-content-center h-100">
        <div class="user_card">
          <div class="d-flex justify-content-center">
            <h3 id="form-title">Create New Account</h3>
            <br /><br />
          </div>
          <div class="d-flex justify-content-center form_container">
            <form method="POST" action="" id="form">
              {% csrf_token %}
              <div id="first_name" class="input-group mb-2">
                <div class="input-group-append">
                  <span class="input-group-text"
                    ><i class="fas fa-solid fa-user-plus"></i
                  ></span>
                </div>
                {{form.first_name}}
              </div>
              <div class="input-group mb-2">
                <div class="input-group-append">
                  <span class="input-group-text"
                    ><i class="fas fa-solid fa-user-plus"></i
                  ></span>
                </div>
                {{form.last_name}}
              </div>
              <div class="input-group mb-3">
                <div class="input-group-append">
                  <span class="input-group-text"
                    ><i class="fas fa-user"></i
                  ></span>
                </div>
                {{form.username}}
              </div>
              <div class="input-group mb-2">
                <div class="input-group-append">
                  <span class="input-group-text"
                    ><i class="fas fa-envelope-square"></i
                  ></span>
                </div>
                {{form.email}}
              </div>
              <div class="input-group mb-2" name="password1">
                <div class="input-group-append">
                  <span class="input-group-text"
                    ><i class="fas fa-key"></i
                  ></span>
                </div>
                {{form.password1}}
              </div>
              <div class="input-group mb-2" name="password2">
                <div class="input-group-append">
                  <span class="input-group-text"
                    ><i class="fas fa-key"></i
                  ></span>
                </div>
                {{form.password2}}
              </div>
              <div style="display: flex; width: 100%">
                <!-- <p>Tipe pengguna</p>
                {{form.user_choices}} -->
              </div>
              <div class="d-flex justify-content-center mt-3 login_container">
                <button type="submit" class="regis">Register Account</button>
                <button type="reset" class="remove">Reset</button>
              </div>
            </form>
          </div>

          <br />
          <!-- {{form.errors}} -->
          <!-- <div id="username-n">
					<p id="username-n-p"></p>
				  </div> -->
          <dd style="color: #752222">
            {% if form.errors|length < 7 %} {{ form.errors }} {% endif %}
          </dd>
          <div class="mt-4">
            <div class="d-flex justify-content-center links">
              Already have an account?
              <a href="{% url 'login:login' %}" class="ml-2">Login</a>
            </div>
          </div>
        </div>
      </div>
    </div>

    <script>
      var form = document.getElementsByTagName("form");
      $("#form").submit(function (e) {
        e.preventDefault();
        console.log(e);

        function validator() {
          if (
            $("#id_first_name").val() === "" ||
            $("#id_last_name").val() === "" ||
            $("#id_email").val() === "" ||
            $("#id_username").val() === "" ||
            $("#id_password1").val() === "" ||
            $("#id_password2").val() === ""
          ) {
            Swal.fire({
              type: "warning",
              title: "Oops...",
              text: "Semua Kolom Wajib Diisi!",
            });
            return true;
          } else if (
            $("#id_password1").val()?.length < 8 ||
            $("#id_password1").val() !== $("#id_password2").val()
          ) {
            Swal.fire({
              type: "warning",
              title: "Oops...",
              text: "Password Salah!",
            });
            return true;
          } else {
            return false;
          }
        }
        console.log("test");

        if (validator()) {
          return;
        } else {
          $.ajax({
            url: "",
            type: "POST",
            data: {
              csrfmiddlewaretoken: "{{ csrf_token }}",
              first_name: $("#id_first_name").val(),
              last_name: $("#id_last_name").val(),
              username: $("#id_username").val(),
              email: $("#id_email").val(),
              password1: $("#id_password1").val(),
              password2: $("#id_password2").val(),
            },

            success: function (response) {
              Swal.fire({
                type: "success",
                title: "Registrasi Berhasil!",
                text: "Silakan login!"
              });
			  
			  setTimeout(function(){ window.location.href = '/login'; }, 3000);
              console.log(response);
            },
          });
        }
      });
    </script>

    <script>
      var form_fields = document.getElementsByTagName("input");
      form_fields[1].placeholder = "Enter your first name";
      form_fields[2].placeholder = "Enter your last name";
      form_fields[3].placeholder = "Enter your username";
      form_fields[4].placeholder = "example@gmail.com";
      form_fields[5].placeholder = "Enter your password";
      form_fields[6].placeholder = "Re-enter your password";

      for (var field in form_fields) {
        form_fields[field].className += "form-control";
      }
    </script>
  </body>
</html>
{% endblock %}